Skip to content
GET /workflow-run

Query Parameters

workflow_idstring · uuid
statusstring
Possible values:
createdrunningcompletedfailed
environment_idstring · uuid

Response Body

limitnumber
next_cursorstring
resultobject[]
resultobject
required
3 properties
errorstring
stepsobject[]
5 properties
actionstring
Example: run_sync_job
errorstring
resultRecord<string, any>
successboolean
Example: true
typestring
Example: run
successboolean
created_atstring · date-time
environment_idstring · uuid
finished_atstring · date-time
idstring · uuid
retry_attemptnumber
Example: 0
started_atstring · date-time
statusstring
Possible values:
createdrunningcompletedfailed
updated_atstring · date-time
workflow_idstring · uuid
curl -X GET 'https://api.truto.one/workflow-run' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
const response = await fetch('https://api.truto.one/workflow-run', {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/workflow-run"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

for await (const item of truto.workflowRun.list()) {
  console.log(item);
}
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    async for item in truto_api.workflow_runs.list():
        print(item)

asyncio.run(main())